Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 141683
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: AMD64 Project <amd64@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Martin von Gagern <Martin.vGagern@gmx.net>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 141683 depends on: Show dependency tree
Bug 141683 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-07-25 03:00 0000
The media-video/goggles-0.8.0-r1 ebuild calls some bash script in src_compile,
and dies if it exits with nonzero exit status. But the script itself does poor
error checking, so a failed build will cause an incomplete package to be
merged.

Suggested solution:
--- /usr/portage/media-video/goggles/goggles-0.8.0-r1.ebuild
+++ /usr/local/portage/media-video/goggles/goggles-0.8.0-r1.ebuild
@@ -32,3 +32,3 @@
 src_compile() {
-       ./gb || die "build failed"
+       bash -e ./gb || die "build failed"

------- Comment #1 From Matti Bickel 2007-04-19 20:48:32 0000 -------
Goggles-0.9.1 includes proper checks.
@arches: please mark that version stable, should be a simple install and run.

last arch, please tree clean the remaining ebuilds.
ppc done.

------- Comment #2 From Matthias Langer 2007-04-20 22:50:23 0000 -------
on x86:

media-video/goggles-0.9.1  USE="-doc" seems to work for me.

------- Comment #3 From Raúl Porcel 2007-04-21 17:29:55 0000 -------
x86 stable, thanks Matthias

------- Comment #4 From Roeland Douma 2007-05-12 09:30:50 0000 -------
Emerges, no collision. Played a DVD and well it works :)
Amd64 we're good to go.

Don't forget:
"last arch, please tree clean the remaining ebuilds." (Matti Bickel)


Portage 2.1.2.2 (default-linux/amd64/2006.1/no-multilib, gcc-4.1.1,
glibc-2.5-r2, 2.6.20-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.20-gentoo-r3 x86_64 AMD Turion(tm) 64 Mobile Technology MT-28
Gentoo Base System release 1.12.9
Timestamp of tree: Sat, 12 May 2007 07:50:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632)
[enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distcc distlocks metadata-transfer multilib-strict
sandbox sfperms strict test"
GENTOO_MIRRORS="ftp://gentoo.tiscali.nl/pub/mirror/gentoo/"
LINGUAS="en nl"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage-overlay"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="X alsa amd64 apache2 bitmap-fonts bzip2 cli cracklib crypt cvs dvd dvdr
exif flac gdbm gif gstreamer highlight history iconv imagemagick ipod isdnlog
jpeg jpeg2k kde latex libg++ md5sum midi mp3 mplayer music ncurses nls nomotif
nptl nptlonly ogg opengl oss pcre pdf perl png ppds pppd python qt readline
reflection samba session spl ssl tcpd test tetex truetype-fonts type1-fonts
unicode vorbis xine xml xml2 xorg zlib" ALSA_CARDS="intel8x0"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route
share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics"
KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001
mtxorb ncurses text" LINGUAS="en nl" USERLAND="GNU" VIDEO_CARDS="sis"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #5 From Christian Faulhammer 2007-05-15 17:24:41 0000 -------
amd64 stable, cleaned up and closing, thanks Roeland

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug